Package com.google.android.exoplayer2.ui

## Class AdOverlayInfo

- java.lang.Object
- - com.google.android.exoplayer2.ui.AdOverlayInfo

-     public final class AdOverlayInfo
      extends Object

  Provides information about an overlay view shown on top of an ad view group.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AdOverlayInfo.Builder` | A builder for `AdOverlayInfo` instances.
    `static interface` | `AdOverlayInfo.Purpose` | The purpose of the overlay.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `@com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int` | `purpose` | The purpose of the overlay view.
    `static int` | `PURPOSE_CLOSE_AD` | Purpose for ad close buttons overlaying the player.
    `static int` | `PURPOSE_CONTROLS` | Purpose for playback controls overlaying the player.
    `static int` | `PURPOSE_NOT_VISIBLE` | Purpose for overlays that are not visible.
    `static int` | `PURPOSE_OTHER` | Purpose for other overlays.
    `String` | `reasonDetail` | An optional, detailed reason that the overlay view is needed.
    `View` | `view` | The overlay view.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdOverlayInfo​(View view, @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose)` | Deprecated. Use `AdOverlayInfo.Builder` instead.
    `AdOverlayInfo​(View view, @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose, String detailedReason)` | Deprecated. Use `AdOverlayInfo.Builder` instead.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PURPOSE_CONTROLS

          public static final int PURPOSE_CONTROLS

      Purpose for playback controls overlaying the player.
      See Also:
        Constant Field Values

    - #### PURPOSE_CLOSE_AD

          public static final int PURPOSE_CLOSE_AD

      Purpose for ad close buttons overlaying the player.
      See Also:
        Constant Field Values

    - #### PURPOSE_OTHER

          public static final int PURPOSE_OTHER

      Purpose for other overlays.
      See Also:
        Constant Field Values

    - #### PURPOSE_NOT_VISIBLE

          public static final int PURPOSE_NOT_VISIBLE

      Purpose for overlays that are not visible.
      See Also:
        Constant Field Values

    - #### view

          public final View view

      The overlay view.

    - #### purpose

          @Purpose
          public final @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose

      The purpose of the overlay view.

    - #### reasonDetail

          @Nullable
          public final String reasonDetail

      An optional, detailed reason that the overlay view is needed.

  - ### Constructor Detail

    - #### AdOverlayInfo

          @Deprecated
          public AdOverlayInfo​(View view,
                               @Purpose
                               @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose)

      Deprecated.
      Use `AdOverlayInfo.Builder` instead.

    - #### AdOverlayInfo

          @Deprecated
          public AdOverlayInfo​(View view,
                               @Purpose
                               @com.google.android.exoplayer2.ui.AdOverlayInfo.Purpose int purpose,
                               @Nullable
                               String detailedReason)

      Deprecated.
      Use `AdOverlayInfo.Builder` instead.